Subject: Re: bug#56619: Inkscape crashes on startup, renders package unusable

From: Thorsten Wilms <[email-masked]>
Date: Sun, 17 Jul 2022 20:17:39 +0200

On Sun, 17 Jul 2022 18:22:05 +0200
Justus Winter <[email-masked]> wrote:

> Inkscape 1.1.1 crashes on startup on my machine, rendering the package
> unusable.

> (org.inkscape.Inkscape:10197): Gtk-WARNING **: 18:11:02.121: Could not load image 'resources/template_about.svg': Couldn’t recognize the image file format for file “/gnu/store/cpj62b4rwn4dkkhysknsyfha4bplcgil-inkscape-1.1.1/share/inkscape/ui/resources/template_about.svg”

> I don't know why it complains about the image files, they do seem to be
> fine:
> 
> % file /gnu/store/cpj62b4rwn4dkkhysknsyfha4bplcgil-inkscape-1.1.1/share/inkscape/ui/resources/template_about.svg
> /gnu/store/cpj62b4rwn4dkkhysknsyfha4bplcgil-inkscape-1.1.1/share/inkscape/ui/resources/template_about.svg: SVG Scalable Vector Graphics image

Hi! It’s a gdk-pixbuf issue. I’ve been living with this for a while
now, on the current and previous Ubuntu Unity as base. I can only get
Inkscape and several other GTK applications to work, when I use a shell
and enter
`export GDK_PIXBUF_MODULE_FILE=/home/thorwil/.guix-profile/lib/gdk-pixbuf-2.0/2.10.0/loaders.cache`
before `inkscape` and co.
If I have that in ~/.profile, Ubuntu-native stuff breaks.
~/.profile does contain export
`GDK_PIXBUF_MODULE_FILE=/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache`

I guess one could set up aliases or place wrappers in /usr/local/bin,
but I couldn’t be bothered to do so, so far.

-- 
Thorsten Wilms <[email-masked]>